Subject: Re: xmemdup patches

From: Pierre Habouzit <[email-masked]>
Date: Mon, 17 Sep 2007 18:14:20 +0200

On lun, sep 17, 2007 at 04:11:13 +0000, Pierre Habouzit wrote:
>   There were 41 of those places.

  I forgot to say, I replaced _some_ xstrndup uses with a xmemdup when
it was clear to me that xmemdup was Okay. I left some alone when it
wasn't obvious in the first 10 seconds that xmemdup would work the same
way.

  The real goal is code brevity and readability, xstrndup or xmemdup are
the same in that regard, and I don't think the small performance gain is
really worth the headache.

-- 
·O·  Pierre Habouzit
··O                                                [email-masked]
OOO                                                http://www.madism.org